package ub.scp2.bo;

import java.util.List;

import ub.scp2.entities.Task;
import ub.scp2.entities.User;

public interface UserBo {

	public User getUserByUsername(String username);

	public boolean deleteUser(User userToDelete, User currentUser);
	public List<User> getUsers();
	public List<User> getAdmins();
	public void saveUser(User user);
	public boolean usernameExists(String username);
	public void updateUser(User user);
	public boolean cleanDataBase(User currentUser);
	
}
